__gnu_cxx::throw_allocator_base< _Tp, _Cond >(3cxx)

NAME
__gnu_cxx::throw_allocator_base< _Tp, _Cond > - Allocator class with logging and exception generation control. Intended to be used as an allocator_type in templatized code.

SYNOPSIS

Inherits __gnu_cxx::annotate_base, and _Cond.

  Public Types

typedef ptrdiff_t difference_type
typedef value_type * pointer
typedef std::true_type propagate_on_container_move_assignment
typedef value_type & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
pointer allocate (size_type __n, std::allocator< void >::const_pointer hint=0)
void check (size_type __n)
void check_allocated (pointer __p, size_type __n)
void check_allocated (void *p, size_t size)
void check_constructed (size_t label)
void check_constructed (void *p)
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args)
void deallocate (pointer __p, size_type __n)
template<typename _Up > void destroy (_Up *__p)
void erase (void *p, size_t size)
void erase_construct (void *p)
void insert (void *p, size_t size)
void insert_construct (void *p)
size_type max_size () const noexcept

  Static Public Member Functions

static void check ()
static size_t get_label ()
static void set_label (size_t l)

  Public Attributes

const typedef value_type * const_pointer
const typedef value_type & const_reference

Detailed Description

  template<typename _Tp, typename _Cond>
class __gnu_cxx::throw_allocator_base< _Tp, _Cond >" Allocator class with logging and exception generation control. Intended to be used as an allocator_type in templatized code.

Note: Deallocate not allowed to throw.

Definition at line 790 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.